/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.alipay.lookout.remote.report.support.http;

import com.alipay.lookout.remote.report.Address;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;

import java.io.IOException;
import java.util.Map;

/**
 * Created by kevin.luy@alipay.com on 2018/6/5.
 */
public interface HttpRequestProcessor {

    boolean sendPostRequest(HttpPost httpPost, Map<String, String> metadata) throws IOException;

    boolean sendGetRequest(HttpGet httpGet, Map<String, String> metadata) throws IOException;

    boolean sendGetRequest(HttpGet httpGet, Map<String, String> metadata,
                           ResultConsumer resultConsumer) throws IOException;

    Address getAvailableAddress();
}
